curl --request POST \
--url https://api.paywint.com/api/platform/accounts/list-pw-transactions/{user_id} \
--header 'Content-Type: application/json' \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>' \
--data '
{
"rows_per_page": 50,
"page_no": 1,
"account_id": "f47ac10b-****-****-****-0e02b2c3d479"
}
'import requests
url = "https://api.paywint.com/api/platform/accounts/list-pw-transactions/{user_id}"
payload = {
"rows_per_page": 50,
"page_no": 1,
"account_id": "f47ac10b-****-****-****-0e02b2c3d479"
}
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Platform-ID': '<x-platform-id>',
'X-Signature': '<x-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
rows_per_page: 50,
page_no: 1,
account_id: 'f47ac10b-****-****-****-0e02b2c3d479'
})
};
fetch('https://api.paywint.com/api/platform/accounts/list-pw-transactions/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status_code": 200,
"message": "Success",
"records": [
{
"transaction_id": "cb4cbbdf-a2bd-4c41-98f0-7da1d8657898",
"amount": 100,
"transaction_date": "2025-10-06",
"is_credit": false,
"internal_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "Invoice #1234 payment",
"payer_payee": "Robert",
"is_internal_payment": true
}
],
"totalRecords": 0,
"queryGeneratedTime": 1783679844
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Paywint Bank Account Transactions
Retrieves a paginated list of Paywint bank transactions for a specific user.
This endpoint allows platforms to:
- View transaction history associated with a user’s Paywint bank account
- Filter and paginate transactions by account and user
- Access transaction details such as amount, type, and date
When this endpoint is called for the first time, the system automatically initiates a background sync to fetch the latest Paywint transactions. During this initial sync (which may take up to one minute), the response will contain only previously available transactions.
To view newly synced transactions, call this endpoint again after one minute.
Returns the total number of transactions and a list of transaction records.
Headers
Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.
HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.
Path Parameters
Unique identifier (UUID) of the user
Body
Number of records to return per page. Accepted values are 10, 20, 50, or 100.
10, 20, 50, 100 50
Page number to retrieve, starting from 1. For example, page_no=1 returns the first page of results.
x >= 11
Unique identifier (UUID) of the user's Paywint bank account for which transactions are being retrieved.
"f47ac10b-****-****-****-0e02b2c3d479"
Response
Successful Response
Indicates whether the request was processed successfully.
true
HTTP status code representing the result of the request.
Short, human-readable message describing the outcome of the request.
List of result items returned for the current page.
Show child attributes
Show child attributes
Total number of matching records in the database, useful for paginating the full dataset.
Unix timestamp (in seconds) indicating when this response was generated.

